### Method

# Soup Server listen_all

#### Declaration [src]

    gboolean
    soup_server_listen_all (
      SoupServer* server,
      guint port,
      SoupServerListenOptions options,
      GError** error
    )

#### Description [src]

Attempts to set up `server` to listen for connections on all interfaces on the system.

That is, it listens on the addresses `0.0.0.0` and/or `::`, depending on whether `options` includes `SOUP_SERVER_LISTEN_IPV4_ONLY`, `SOUP_SERVER_LISTEN_IPV6_ONLY`, or neither.) If `port` is specified, `server` will listen on that port. If it is 0, `server` will find an unused port to listen on. (In that case, you can use `soup_server_get_uris()` to find out what port it ended up choosing.

See `soup_server_listen()` for more details.

#### Parameters

`port` | `guint`
| The port to listen on, or 0
`options` | `SoupServerListenOptions`
| Listening options for this server.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success, `FALSE` if `port` could not be bound or any other error occurred (in which case `error` will be set).